Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class ScrollPaneFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ScrollPaneFactory

    class ScrollPaneFactory
    extends BeanFactory

Field Summary

Fields inherited from class BeanFactory
leaf

Constructor Summary
`ScrollPaneFactory()`
`ScrollPaneFactory(Class klass)`

Method Summary
`void` | `setChild(FactoryBuilderSupport factory, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ScrollPaneFactory

    ScrollPaneFactory()

### ScrollPaneFactory

    ScrollPaneFactory(Class klass)

Method Detail

### setChild

    void setChild(FactoryBuilderSupport factory, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.